# SPDX-FileCopyrightText: 2020 Mintlab B.V.
#
# SPDX-License-Identifier: EUPL-1.2

# AUTOGENERATED FILE - No need to edit
# GENERATED AT: 2020-12-02T10:21:25"
# Re-create by running 'generate-routes' command
# Run 'generate-routes --help' for more options

# SPDX-FileCopyrightText: 2020 Mintlab B.V.
#
# SPDX-License-Identifier: EUPL-1.2


import webtest
from unittest import TestCase, mock
from zsnl_http_geo import main, views


class TestRoutes_apidocs(TestCase):
    def setUp(self):
        self.patched_apidocs = mock.patch(
            "zsnl_http_geo.views.apidocs", spec=views.apidocs
        )
        self.apidocs = self.patched_apidocs.start()

        settings = {
            "minty_service.infrastructure.config_file": "tests/data/config.conf"
        }
        app = main({}, **settings)
        self.mock_app = webtest.TestApp(app)

    def tearDown(self):
        self.patched_apidocs.stop()

    def test_routes_apidocs(self):
        self.apidocs.apidocs_fileserver.return_value = 200
        self.mock_app.get("/api/v2/geo/openapi/{filename}", status=200)


class TestRoutes_geo_feature(TestCase):
    def setUp(self):
        self.patched_geo_feature = mock.patch(
            "zsnl_http_geo.views.geo_feature", spec=views.geo_feature
        )
        self.geo_feature = self.patched_geo_feature.start()

        settings = {
            "minty_service.infrastructure.config_file": "tests/data/config.conf"
        }
        app = main({}, **settings)
        self.mock_app = webtest.TestApp(app)

    def tearDown(self):
        self.patched_geo_feature.stop()
